@import "libs/shared/assets/src/global-style/variable";

.tag-group {
  width: 100%;
  background: #ffffff;
  border: 1px solid #d4d7e7;
  box-sizing: border-box;
  border-radius: 8px;
  padding: 5px;
  display: flex;
  justify-content: space-between;
  &__tags {
    width: 100%;
    &--input {
      border: none;
      display: flex;
      align-items: center;
      padding-top: 5px;
      color: #a0a3bd;
      font-style: normal;
      font-weight: 400;
      line-height: 150%;
    }
    &--tag {
      margin-bottom: 5px;
      background: #e8eaf6;
      border-radius: 4px;
    }
  }

  &__close {
    .ant-btn:hover,
    .ant-btn:focus,
    .ant-btn:active {
      color: white;
      background: $bg-primary-default;
    }
    &--select {
      padding: 8px 5px 0px 0px;
    }
    &--button {
      margin: 0px;
      padding: 0px;
      border: none;
      width: 18px;
      height: 18px;
      display: flex;
      align-items: center;
      justify-content: center;
      .anticon {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 12px;
        height: 12px;
      }
    }
  }
}


.menu {
  background: #ffffff;
  border: 1px solid #d4d7e7;
  box-shadow: 0px 5.35455px 19.0824px rgba(75, 99, 226, 0.08);
  border-radius: 8px;
  min-width: 334px;
}

.header {
  &__title {
    display: flex;
    justify-content: space-between;
    margin: 16px 16px 0px 16px;
    &--text {
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 150%;
      display: flex;
      align-items: center;
      color: #14142b;
    }
  }

  &__input {
    margin-left: 16px;
    margin-right: 16px;
    padding-top: 16px;
  }
}

.select-list {
  display: flex;
  margin-top: 13px;
  flex-direction: column;
  height: 200px;
  overflow-y: scroll;
  &__item {
    margin-left: 0px !important;
  }
  &__sw {
    ::ng-deep .ant-switch-checked {
      background-color: $bg-primary-darker;
    }
    display: flex;
    column-gap: 4px;
  }
}

.footer {
  margin: 16px;
  &__button {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 24px;
    background: #141ed2;
    border-radius: 8px;
    margin: auto !important;
    color: #ffffff;
  }
}

.error-message {
  &__text {
    color: #ff4d4f;
  }
}
